Loading...

Knowledge Center


Supported platforms, environments, and operating systems for Endpoint Security for Linux Threat Prevention
Technical Articles ID:   KB87073
Last Modified:  11/14/2019
Rated:


Environment

McAfee Endpoint Security for Linux Threat Prevention (ENSLTP) 10.6.x, 10.5.x, 10.2.x

Summary

As Linux releases new operating systems or Service Packs, the original product guides might not reflect the current support policy for those platforms. Most of the following information is available in the product guides. But, some of the information is available only in Product Management statements published in the Knowledge Base.
 
Recent updates to this article
Date Update
November 14, 2019 Added CentOS 7.7 (64-bit) to the "Supported operating systems" section.
November 12, 2019 Updated for ENSLTP 10.6.7.
October 8, 2019 Updated for ENSLTP 10.6.6.
September 10, 2019 Updated for ENSLTP 10.6.5.
August 15, 2019 Updated for ENSLTP 10.6.4.

To receive email notification when this article is updated, click Subscribe on the right side of the page. You must be logged on to subscribe.

Contents
Click to expand the section you want to view:
McAfee product software, upgrades, maintenance releases, and documentation are available from the Product Downloads site at: http://www.mcafee.com/us/downloads/downloads.aspx.

NOTE: You need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, and alternate locations for some products.
 
ENSLTP Version Module Build Number Released to Support (RTS) General Availability (GA) Release Notes Known Issues
10.6.7 2 Threat Prevention for Linux 10.6.7-118 N/A November 12, 2019 Release Notes KB87518
Endpoint Security Platform for Linux  10.6.7-117
10.6.6 1 Threat Prevention for Linux 10.6.6-107 N/A October 8, 2019 Release Notes KB87518
Endpoint Security Platform for Linux   10.6.6-122
10.6.5 Threat Prevention for Linux 10.6.5-107 N/A September 10, 2019 PD28481 KB87518
Endpoint Security Platform for Linux   10.6.5-107
10.6.4 Threat Prevention for Linux 10.6.4-114 N/A August 13, 2019 PD28446 KB87518
Endpoint Security Platform for Linux   10.6.4-134
10.6.3 Threat Prevention for Linux 10.6.3-125 N/A July 2, 2019 PD28395 KB87518
Endpoint Security Platform for Linux   10.6.3-129
10.6.2 Threat Prevention for Linux 10.6.2-103 N/A May 7, 2019 PD28331 KB87518
Endpoint Security Platform for Linux   10.6.2-103
10.6.1 Threat Prevention for Linux 10.6.1-115 N/A April 9, 2019 PD28292 KB87518
Endpoint Security Platform for Linux   10.6.1-138
10.6.0 Threat Prevention for Linux 10.6.0-153 N/A March 12, 2019 PD28256 KB87518
Endpoint Security Platform for Linux   10.6.0-201
10.5.5 Threat Prevention for Linux 10.5.5-106 N/A February 12, 2019 PD28199 KB87518
Endpoint Security Platform for Linux    10.5.5-107
10.5.4 Threat Prevention for Linux 10.5.4-106 N/A January 8, 2019 PD28169 KB87518
Endpoint Security Platform for Linux 10.5.4-108
10.5.3 Threat Prevention for Linux   10.5.3-1650 N/A November 13, 2018 PD28099 KB87518
Endpoint Security Platform for Linux 10.5.3-1646
10.5.2 Threat Prevention for Linux 10.5.2-1621 N/A October 9, 2018 PD27993 KB87518
Endpoint Security Platform for Linux 10.5.2-1612
10.5.1 Hotfix 1251617 (HF1251617) Threat Prevention for Linux    10.5.1-1600 N/A September 11, 2018 PD27967 KB87518
Endpoint Security Platform for Linux 10.5.1-1606
10.5.1 Threat Prevention for Linux  10.5.1-1582 N/A August 14, 2018 PD27891 KB87518
Endpoint Security Platform for Linux 10.5.1-1578
10.5.0 Threat Prevention for Linux    10.5.0-1485 N/A May 8, 2018 PD27549 KB87518
Endpoint Security Platform for Linux    10.5.0-1483
10.2.3 Hotfix 1251530 (HF1251530) Threat Prevention for Linux  10.2.3-1590 N/A September 11, 2018 PD27966 KB87518
Endpoint Security Platform for Linux    10.2.3-1590
10.2.3 Hotfix 1244379 (HF1244379) Threat Prevention for Linux      10.2.3-1519 July 10, 2018

NOTE: This hotfix is available only from Technical Support.
See the Related Information section below for contact details.
N/A Available from Technical Support KB87518
Endpoint Security Platform for Linux   10.2.3-1519
10.2.3 Hotfix 1240853 (HF1240853) Threat Prevention for Linux 10.2.3-1498 June 12, 2018

NOTE: This hotfix is available only from Technical Support.
See the Related Information section below for contact details.
N/A Available from Technical Support KB87518
Endpoint Security Platform for Linux 10.2.3-1487
10.2.3 Threat Prevention for Linux    10.2.3-1459 April 12, 2018 May 8, 2018 PD27674 KB87518
Endpoint Security Platform for Linux  10.2.3-1438
10.2.2 Hotfix 1230337 (HF1230337) Threat Prevention for Linux  10.2.2-1370 March 13, 2018

NOTE: This hotfix is available only from Technical Support.
See the Related Information section below for contact details.
N/A PD27626 KB87518
Endpoint Security Platform for Linux    10.2.2-1363
10.2.2 Hotfix 1224120 (HF1224120) Threat Prevention for Linux    10.2.2-1320 N/A February 13, 2018 PD27600 KB87518
Endpoint Security Platform for Linux   10.2.2-1320
10.2.2 Hotfix 1220887 (HF1220887) Threat Prevention for Linux    10.2.2-1285 N/A January 23, 2018 PD27477 KB87518
Endpoint Security Platform for Linux  10.2.2-1294
10.2.2 Threat Prevention for Linux    10.2.2-1098 N/A September 28, 2017 PD27257 KB87518
Endpoint Security Platform for Linux 10.2.2-1105
10.2.1 Hotfix 1195156 (HF1195156) Threat Prevention for Linux    10.2.1-887 N/A July 12, 2017 PD27163 KB87518
Endpoint Security Platform for Linux 10.2.1-882
10.2.1 Threat Prevention for Linux    10.2.1-815 N/A March 27, 2017 PD26991 KB87518
Endpoint Security Platform for Linux  10.2.1-741
10.2.0 Threat Prevention for Linux    10.2.0-534 N/A September 8, 2016 PD26514 KB87518
Endpoint Security Platform for Linux  10.2.0-478

1 Application Control and Change Control and MOVE Agentless Security Virtual Appliance (SVA) are not compatible with ENSL 10.6.6. A fresh installation or upgrade of ENSL 10.6.6 will fail on systems running Application Control or Change Control, MOVE Agentless SVA, or both.
2 Application Control and Change Control and MOVE Agentless Security Virtual Appliance (SVA) are not compatible with ENSL 10.6.7. A fresh installation or upgrade of ENSL 10.6.7 will fail on systems running Application Control or Change Control, MOVE Agentless SVA, or both. For more information about the compatibility issues with Application Control and Change Control, see KB92079.

Back to top
NOTES: 
  • ENSLTP cannot be used on 32-bit platforms.
  • ENSLTP supports Security-Enhanced Linux (SELinux). 
  • ENSLTP supports the General Availability kernel that was shipped with the Linux build and subsequent minor/security updates. For example, kernel-2.6.34.7-61.fc13 and kernel-2.6.34.7-56.fc13 would be examples of supported minor/security updates.
Operating System ENSLTP 10.6.7 ENSLTP 10.6.4-10.6.6 ENSLTP 10.6.3 ENSLTP 10.6.2 ENSLTP 10.6.1 ENSLTP 10.6.0 ENSLTP 10.5.4-10.5.5 ENSLTP 10.5.3 ENSLTP 10.5.1-10.5.2 ENSLTP 10.5.0 ENSLTP 10.2.3 ENSLTP 10.2.2 ENSLTP 10.2.1 ENSLTP 10.2.0
Amazon Linux 2 (2.0.20180622.1) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No No No
Amazon Linux 2 (2017.12) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No
Amazon Linux AMI 2018.03 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No No No
Amazon Linux AMI 2017.9 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
Amazon Linux AMI 2014.03 / 2014.09 / 2015.03 / 2015.09 / 2016.03 / 2016.09 / 2017.03 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
CentOS 8.0 (64-bit) Yes No No No No No No No No No No No No No
CentOS 7.7 (64-bit) Yes Yes Yes No No No No No No No No No No No
CentOS 7.6 (64-bit) 1 Yes Yes Yes Yes Yes Yes Yes Yes No No No No No No
CentOS 7.5 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No
CentOS 7.4 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
CentOS 7.0 / 7.1 / 7.2 / 7.3 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
CentOS 6.10 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes No Yes No No No
CentOS 6.9 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
CentOS 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
CentOS on Amazon Elastic Compute Cloud (Amazon EC2) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Debian 9.6 Yes Yes Yes Yes Yes No No No No No No No No No
Debian 9.0 / 9.1 / 9.2 / 9.3 / 9.4 / 9.5 (on-demand scanning and on-access scanning) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No No
Debian 9.0 / 9.1 / 9.2 / 9.3 / 9.4 / 9.5 (on-demand scanning only) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
Debian 8.0 / 8.1 / 8.2 / 8.3 / 8.4 / 8.5 / 8.6 / 8.7 / 8.8 / 8.9 (on-demand scanning only) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Fedora 29 / 30 (desktop and server) Yes No No No No No No No No No No No No No
Fedora 25 / 26 (desktop and server) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
Fedora 22 / 23 / 24 (desktop and server) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Linux Mint 17.0 Qiana Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Novell Open Enterprise Server 11 (64-bit) SP1 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
openSUSE 42.1 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Oracle Enterprise Linux 8.0 Yes Yes No No No No No No No No No No No No
Oracle Enterprise Linux 7.x both Red Hat and UEK (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Oracle Enterprise Linux 6.x both Red Hat and UEK (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Server 8.1 (64-bit) Yes No No No No No No No No No No No No No
Red Hat Enterprise Linux Server 8.0 (64-bit) 3 Yes Yes Yes Yes No No No No No No No No No No
Red Hat Enterprise Linux Server 7.7 (64-bit) 1 Yes Yes Yes No No No No No No No No No No No
Red Hat Enterprise Linux Server 7.6 (64-bit) 1 Yes Yes Yes Yes Yes Yes Yes Yes No No Yes No No No
Red Hat Enterprise Linux Server 7.5 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No
Red Hat Enterprise Linux Server 7.4 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
Red Hat Enterprise Linux Server 7.1 / 7.2 / 7.3 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Server 6.10 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes No Yes No No No
Red Hat Enterprise Linux Server 6.9 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Red Hat Enterprise Linux Server 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Red Hat Enterprise Linux Server 5.10 / 5.11 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No No
Red Hat Enterprise Linux Workstation 8.1 (64-bit) Yes No No No No No No No No No No No No No
Red Hat Enterprise Linux Workstation 8.0 (64-bit) Yes Yes Yes Yes No No No No No No No No No No
Red Hat Enterprise Linux Workstation 7.7 (64-bit) 1 Yes Yes Yes No No No No No No No No No No No
Red Hat Enterprise Linux Workstation 7.6 (64-bit) 1 Yes Yes Yes Yes Yes Yes Yes Yes No No No No No No
Red Hat Enterprise Linux Workstation 7.5 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No
Red Hat Enterprise Linux Workstation 7.4 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No
Red Hat Enterprise Linux Workstation 7.1 / 7.2 / 7.3 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Red Hat Enterprise Linux Workstation 6.10 Yes Yes Yes Yes Yes Yes Yes Yes Yes No Yes No No No
Red Hat Enterprise Linux Workstation 6.9 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Red Hat Enterprise Linux Workstation 6.0 / 6.1 / 6.2 / 6.3 / 6.4 / 6.5 / 6.6 / 6.7 / 6.8 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
Red Hat Enterprise Linux 7 on Amazon Elastic Compute Cloud (Amazon EC2) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
SUSE Linux Desktop 12 SP1, SP2 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
SUSE Linux Desktop 11 SP3 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No
SUSE Linux Enterprise Server 15 (64-bit) 1 Yes Yes Yes Yes Yes Yes Yes Yes No No No No No No
SUSE Linux Enterprise Server 12 (64-bit) SP4 Yes Yes No No No No No No No No No No No No
SUSE Linux Enterprise Server 12 (64-bit) SP3 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No
SUSE Linux Enterprise Server 12 (64-bit) SP1, SP2 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 11 (64-bit) SP3, SP4 Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 11 (64-bit) SP2 No No No No No No No Yes Yes Yes Yes Yes Yes Yes
SUSE on Amazon Elastic Compute Cloud (Amazon EC2) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Ubuntu 19.04 (64-bit) Yes Yes Yes No No No No No No No No No No No
Ubuntu 18.10 (64-bit) Yes Yes Yes Yes Yes Yes No No No No No No No No
Ubuntu 18.04 (64-bit) 2 Yes Yes Yes Yes Yes Yes Yes Yes Yes No No No No No
Ubuntu 17.04 / 17.10 (64-bit) Yes Yes Yes Yes Yes Yes No Yes Yes Yes Yes Yes No No
Ubuntu 16.10 (64-bit) No No No No No No Yes Yes Yes Yes Yes Yes Yes Yes
Ubuntu 16.04 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Ubuntu 15.04 / 15.10 (64-bit) No No No No No No No Yes Yes Yes Yes Yes Yes Yes
Ubuntu 14.04 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Ubuntu 12.04 (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes
Ubuntu on Amazon Elastic Compute Cloud (Amazon EC2) (64-bit) Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes Yes

1 Requires McAfee Agent 5.6.0 or later.
2 Requires McAfee Agent 5.5.1.362 or later.
3 See KB91524 if you upgrade the Red Hat Enterprise Linux Server operating system from earlier versions to version 8.0.

Back to top
ePO Version ENSLTP 10.2.x ENSLTP 10.5.x ENSLTP 10.6.x
5.10.x Yes Yes Yes
5.9.x Yes Yes Yes
5.3.x Yes Yes Yes
ENSLTP 10.2.2 and later requires McAfee Agent 64-bit. McAfee Agent 32-bit is not supported.
 
McAfee Agent Version ENSLTP 10.2.0-10.2.1 ENSLTP 10.2.2-10.2.3 ENSLTP 10.5.x ENSLTP 10.6.0-10.6.6 ENSLTP 10.6.7
5.6.2 Yes Yes Yes Yes Yes
5.6.0-5.6.1 Yes Yes Yes Yes No
5.5.x Yes Yes Yes No No
5.0.6 Yes Yes Yes No No
5.0.5 Yes Yes No No No
5.0.3-5.0.4 Yes No No No No

NOTE: McAfee Agent 5.0.x reaches End of Life (EOL) on December 17, 2019. McAfee strongly recommends that customers who still use McAfee Agent 5.0.x upgrade to the latest version of the product to ensure continued support. For McAfee Agent EOL details, see KB51573.
Because of the security risks involved in running an out-of-date Scan Engine, McAfee actively enforces an End of Life (EOL) policy for older Scan Engines. McAfee stops all internal testing of DAT files on EOL Scan Engines, and any issues encountered with an EOL Scan Engine are out of scope for support.
 
For important information about the latest Anti-Malware Scan Engine, see KB66741.
 
Scan Engine Version ENSLTP 10.2.x ENSLTP 10.5.0-10.5.1 ENSLTP 10.5.2-10.5.5 ENSLTP 10.6.0-10.6.2 ENSLTP 10.6.3-10.6.6 ENSLTP 10.6.7
6010 No No No No Yes Yes
6000 Yes Yes Yes Yes Yes No
5900 Yes Yes Yes No No No
5800 Yes Yes No No No No
ENSLTP Version Supported Clusters
10.2.x
10.5.x
10.6.x
Novell Cluster Services (NCS)
10.2.x
10.5.x
10.6.x
Veritas Cluster Solution (VCS) 1

1 VxFS is supported for on-demand scanning only; on-access scanning must be disabled.
Component Requirements
Processors
  • Intel® x86_64 architecture-based processor that supports Intel Extended Memory 64-bit technology (Intel EM64T)
  • AMD x86_64 architecture-based processor with AMD 64-bit technology
Memory
  • Minimum: 2-GB RAM
  • Recommended: 4-GB RAM
Free disk space Minimum: 4 GB
Virtual platforms
  • Citrix Xen
  • Hyper-V (supported with ENSLTP 10.2.3 and 10.5.1 (and later))
  • KVM
  • Virtual box
  • VMware
  • Xen
Paravirtual environment Guest operating system on Xen Hypervisor

Rate this document

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.